> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Magic Link



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/auth/magic-link
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/auth/magic-link:
    post:
      tags:
        - Auth
      summary: Request Magic Link
      operationId: api_auth_router_request_magic_link
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MagicLinkRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
components:
  schemas:
    MagicLinkRequest:
      properties:
        email:
          title: Email
          type: string
      required:
        - email
      title: MagicLinkRequest
      type: object
    MessageResponse:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: MessageResponse
      type: object

````